curl --request GET \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications/{verification_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications/{verification_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/verifications/{verification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "ACCEPTED",
"verification_time": "2023-11-07T05:31:56Z",
"verification_type": "kyc",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"issues": [
"R186: Global Watchlist sources selected are correlated with the input identifiers"
],
"raw_response": {
"provider": "SOCURE",
"raw_data": "{}"
},
"vendor_info": {
"content_type": "text/xml",
"vendor": "IDOLOGY",
"xml": "<string>",
"details": [
{
"code": "R186",
"description": "Global Watchlist sources selected are correlated with the input identifiers"
}
]
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get verification result
Get verification result by ID.
This endpoint will be removed in API v1. Use GET /v0/verifications/{verification_id} instead.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The customer's unique identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Verification's unique identifier.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
Verification result.
Verification result
The determination of this verification.
ACCEPTED, PROVIDER_FAILURE, PROVISIONAL, REJECTED, REVIEW "ACCEPTED"
The date and time the verification was completed.
The type of check run on the customer.
addressrisk, alertlist, decision, documentverification, emailrisk, fraud, kyc, phonerisk, social, synthetic, watchlistplus, watchlistpremier, watchliststandard "kyc"
Unique ID for this verification result.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
List of potential problems found. These are subject to change.
Show child attributes
Show child attributes
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?

